Resource Threshold - Get All Resource Thresholds
Get all resource thresholds for the specified entitlement.
GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}/resourceThresholds?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
entitlement
|
path | True |
string |
The entitlement ID. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
ResourceThresholdModel
| Name | Type | Description |
|---|---|---|
| createdOn |
string (date-time) |
The UTC date and time when the resource threshold configuration was first created. |
| entitlementId |
string |
Entitlement ID associated with the resource. |
| environmentId |
string |
Unique identifier for the environment associated with the resource. |
| limit |
number (double) |
The limit set for the resource consumption. |
| notificationThreshold |
integer (int32) |
The threshold percentage for sending notifications about resource consumption. |
| notifyIfOverCapacity |
boolean |
Indicates whether to notify when the resource consumption reaches its notification threshold. |
| resourceConsumption |
number (double) |
Current consumption of the resource. |
| resourceId |
string |
Unique identifier for the resource. |
| stopIfOverCapacity |
boolean |
Indicates whether to stop consuming the capacity if the resource exceeds its limit. |
| stopResource |
boolean |
Indicates whether the user has selected to stop the resource explicitly or not. If 'true' the resource is in a disabled state. |